# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.94
%define module_name Text-Tidx
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.94
Release: alt7
Summary: Index a delimited text file containing start-stop positions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EA/EARONESTY/%module_name-%module_version.tar.gz

%description
Text:Tidx allows you to index any text file using a key field
and range coordinates, and, later, use that index for O(log(n))
range-lookups into the file.

This was written because it was, for me significantly faster, for very large
files (>100k rows) and many searches ( > 10k), then entering
all of the information into a database and doing range querys,
even faster than SQLITE's rtree extension, or the "tabix" program
both of which are do similar things and do them rather well.

Although it was designed for chromosome, stop, start indexing,
it is not genome specific, and can index any delimited text file.

Indexes are loaded into RAM.  If you only have a few lookups
to do perl instance, this is expensive, and a database will be faster.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

# different on arches
rm -rf %buildroot%_man1dir

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
#%_man1dir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.94-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.94-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.94-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.94-alt4.2
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.94-alt3.2
- rebuild with perl 5.26

* Mon Feb 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.94-alt2.2
- rebuild with perl 5.24

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.94-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.94-alt2
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.94-alt1
- initial import by package builder

